;InnoSetupVersion=5.0.4

[Setup]
AppName=Advanced HTML Optimizer
AppVerName=Advanced HTML Optimizer version 3.3
AppId=Advanced HTML Optimizer
AppVersion=3.3
AppPublisher=AEVITA Software Ltd.
AppPublisherURL=http://www.aevita.com/
AppSupportURL=http://www.aevita.com/support/
AppUpdatesURL=http://www.aevita.com/web/htmlopt/
AppMutex=AdvancedHTMLOptimizer
DefaultDirName={pf}\Advanced HTML Optimizer
DefaultGroupName=Advanced HTML Optimizer
UninstallDisplayIcon={app}\htmlopt.exe
OutputBaseFilename=htmlopt33_setup
Compression=lzma
PrivilegesRequired=none
ChangesAssociations=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\htmlopt.exe"; DestDir: "{app}"; 
Source: "{app}\htmlopt.chm"; DestDir: "{app}"; 
Source: "{app}\ahtmlepp.url"; DestDir: "{app}"; 
Source: "{app}\HOMEPAGE.URL"; DestDir: "{app}"; 
Source: "{app}\README,1.TXT"; DestDir: "{app}"; DestName: "README.TXT"; 
Source: "{app}\file_id.diz"; DestDir: "{app}"; 
Source: "{app}\absaddr.txt"; DestDir: "{app}"; 
Source: "{app}\between.txt"; DestDir: "{app}"; 
Source: "{app}\cleartag.txt"; DestDir: "{app}"; 
Source: "{app}\HISTORY.TXT"; DestDir: "{app}"; 
Source: "{app}\LICENSE.TXT"; DestDir: "{app}"; 
Source: "{app}\ORDER.TXT"; DestDir: "{app}"; 
Source: "{app}\README,2.TXT"; DestDir: "{app}"; DestName: "README.TXT"; 
Source: "{app}\remove.txt"; DestDir: "{app}"; 
Source: "{app}\replace.txt"; DestDir: "{app}"; 
Source: "{app}\regform.htm"; DestDir: "{app}"; 
Source: "{app}\tips.ini"; DestDir: "{app}"; 
Source: "{app}\test_it.html"; DestDir: "{app}"; 
Source: "{app}\backgrnd.gif"; DestDir: "{app}"; 
Source: "{app}\UninsHs.exe"; DestDir: "{app}"; Flags: onlyifdoesntexist ignoreversion 

[Dirs]
Name: "{app}\Backup"; 
Name: "{app}\Output"; 

[Registry]
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\htmlopt.exe"; ValueType: String; ValueData: "{app}\htmlopt.exe"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\htmlopt.exe"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\AEVITA Software Ltd.\Advanced HTML Optimizer\3.3"; Flags: uninsdeletekeyifempty 

[INI]
FileName: "{app}\UninsHs.dat"; Section: "Common"; Key: "Software"; String: "Advanced HTML Optimizer"; 
FileName: "{app}\UninsHs.dat"; Section: "Common"; Key: "Install"; String: "{srcexe}"; 
FileName: "{app}\UninsHs.dat"; Section: "Common"; Key: "Language"; String: "{language}"; 
FileName: "{app}\UninsHs.dat"; Section: "Common"; Key: "Remove"; String: "{uninstallexe}"; 
FileName: "{app}\UninsHs.dat"; Section: "Common"; Key: "Group"; String: "{groupname}"; 
FileName: "{app}\UninsHs.dat"; Section: "Common"; Key: "Components"; String: "{code:ComponentList|x}"; 

[Run]
Filename: "{app}\htmlopt.exe"; WorkingDir: "{app}"; Description: "{cm:LaunchProgram,Advanced HTML Optimizer}"; Flags: postinstall skipifsilent nowait
Filename: "http://www.aevita.com/lists/?p=subscribe"; WorkingDir: "{app}"; Description: "Subscribe Advanced HTML Optimizer Newsletter"; Flags: shellexec postinstall skipifsilent nowait
Filename: "{app}\UninsHs.exe"; Parameters: "/r"; 

[Icons]
Name: "{group}\Advanced HTML Optimizer"; Filename: "{app}\htmlopt.exe"; WorkingDir: "{app}"; Comment: "{cm:LaunchProgram,Advanced HTML Optimizer}"; 
Name: "{userdesktop}\Advanced HTML Optimizer"; Filename: "{app}\htmlopt.exe"; WorkingDir: "{app}"; Comment: "{cm:LaunchProgram,Advanced HTML Optimizer}"; Tasks: desktopicon; 
Name: "{sendto}\Advanced HTML Optimizer"; Filename: "{app}\htmlopt.exe"; WorkingDir: "{app}"; 
Name: "{group}\Advanced HTML Optimizer Help"; Filename: "{app}\htmlopt.chm"; 
Name: "{group}\{cm:ProgramOnTheWeb,Advanced HTML Optimizer}"; Filename: "{app}\homepage.url"; 
Name: "{group}\Readme\Readme"; Filename: "{app}\readme.txt"; 
Name: "{group}\Readme\License"; Filename: "{app}\license.txt"; 
Name: "{group}\Readme\How to order"; Filename: "{app}\order.txt"; 
Name: "{group}\Readme\What's new"; Filename: "{app}\history.txt"; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Advanced HTML Optimizer"; Filename: "{app}\htmlopt.exe"; WorkingDir: "{app}"; Comment: "{cm:LaunchProgram,Advanced HTML Optimizer}"; Tasks: quicklaunchicon; 
Name: "{group}\{cm:UninstallProgram,Advanced HTML Optimizer}"; Filename: "{app}\UninsHs.exe"; 
Name: "{group}\Check other products\Advanced HTML Encrypt & Password Protect"; Filename: "http://www.aevita.com/web/lock/?htmlopt"; 
Name: "{group}\Check other products\AEVITA Save Flash"; Filename: "http://www.aevita.com/saveflash/?htmlopt"; 
Name: "{group}\Check other products\AEVITA Stop SPAM"; Filename: "http://www.aevita.com/web/stopspam/?htmlopt"; 
Name: "{group}\Check other products\AEVITA Wipe & Delete"; Filename: "http://www.aevita.com/file/delete/?htmlopt"; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}\UninsHs.dat"; 
Type: dirifempty; Name: "{app}\Backup"; 
Type: dirifempty; Name: "{app}\Output"; 
Type: dirifempty; Name: "{app}"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...
de.NameAndVersion=%1 Version %2
de.AdditionalIcons=Zustzliche Symbole:
de.CreateDesktopIcon=&Desktop-Symbol anlegen
de.CreateQuickLaunchIcon=Symbol in der Schnellstartleiste anlegen
de.ProgramOnTheWeb=%1 im Internet
de.UninstallProgram=%1 entfernen
de.LaunchProgram=%1 starten
de.AssocFileExtension=&Registriere %1 mit der %2-Dateierweiterung
de.AssocingFileExtension=%1 wird mit der %2-Dateierweiterung registriert...
it.NameAndVersion=%1 versione %2
it.AdditionalIcons=Icone addizionali:
it.CreateDesktopIcon=Crea un'icona sul &desktop
it.CreateQuickLaunchIcon=Crea un icona in &avvio veloce
it.ProgramOnTheWeb=%1 sul Web
it.UninstallProgram=Disinstalla %1
it.LaunchProgram=Esegui %1
it.AssocFileExtension=&Associa %1 ai file con estensione %2
it.AssocingFileExtension=Associazione di %1 ai file con estensione %2 in corso...
bg.NameAndVersion=%1,  %2
bg.AdditionalIcons= :
bg.CreateDesktopIcon=  & 
bg.CreateQuickLaunchIcon=    & 
bg.ProgramOnTheWeb=%1  WWW
bg.UninstallProgram=  %1
bg.LaunchProgram=  %1
bg.AssocFileExtension=&  %1    %2
bg.AssocingFileExtension=  %1    %2...
ct.NameAndVersion=%1 versi %2
ct.AdditionalIcons=Icones addicionals:
ct.CreateDesktopIcon=Crear una icona a l'&Escriptori
ct.CreateQuickLaunchIcon=Crear una icona a la &Barra de tasques
ct.ProgramOnTheWeb=%1 a Internet
ct.UninstallProgram=Desinstallar %1
ct.LaunchProgram=Obrir %1
ct.AssocFileExtension=&Associar %1 amb l'extensi de fitxer %2
ct.AssocingFileExtension=Associant %1 amb l'extensi de fitxer %2...
cz.NameAndVersion=%1 verze %2
cz.AdditionalIcons=Dal zstupci:
cz.CreateDesktopIcon=Vytvoit zstupce na &ploe
cz.CreateQuickLaunchIcon=Vytvoit zstupce na panelu &Snadn sputn
cz.ProgramOnTheWeb=Aplikace %1 na internetu
cz.UninstallProgram=Odinstalovat aplikaci %1
cz.LaunchProgram=Spustit aplikaci %1
cz.AssocFileExtension=Vytvoit &asociaci mezi soubory typu %2 a aplikac %1
cz.AssocingFileExtension=Vytv se asociace mezi soubory typu %2 a aplikac %1...
nl.NameAndVersion=%1 versie %2
nl.AdditionalIcons=Extra snelkoppelingen:
nl.CreateDesktopIcon=Maak een snelkoppeling op het &bureaublad
nl.CreateQuickLaunchIcon=Maak een snelkoppeling op de &Snel starten werkbalk
nl.ProgramOnTheWeb=%1 op het Web
nl.UninstallProgram=Verwijder %1
nl.LaunchProgram=&Start %1
nl.AssocFileExtension=&Koppel %1 aan de %2 bestandsextensie
nl.AssocingFileExtension=Bezig met koppelen van %1 aan de %2 bestandsextensie...
fr.NameAndVersion=%1 version %2
fr.AdditionalIcons=Icnes supplmentaires :
fr.CreateDesktopIcon=Crer une icne sur le &Bureau
fr.CreateQuickLaunchIcon=Crer une icne dans la barre de &Lancement rapide
fr.ProgramOnTheWeb=Page d'accueil de %1
fr.UninstallProgram=Dsinstaller %1
fr.LaunchProgram=Excuter %1
fr.AssocFileExtension=&Associer %1 avec l'extension de fichier %2
fr.AssocingFileExtension=Associe %1 avec l'extension de fichier %2...
no.NameAndVersion=%1 versjon %2
no.AdditionalIcons=Ekstra-ikoner:
no.CreateDesktopIcon=Lag ikon p &skrivebordet
no.CreateQuickLaunchIcon=Lag et &Hurtigstarts-ikon
no.ProgramOnTheWeb=%1 p nettet
no.UninstallProgram=Avinstaller %1
no.LaunchProgram=Kjr %1
no.AssocFileExtension=&Koble %1 med filetternavnet %2
no.AssocingFileExtension=Kobler %1 med filetternavnet %2...
ru.NameAndVersion=%1,  %2
ru.AdditionalIcons= :
ru.CreateDesktopIcon=   & 
ru.CreateQuickLaunchIcon=   &  
ru.ProgramOnTheWeb= %1  
ru.UninstallProgram= %1
ru.LaunchProgram= %1
ru.AssocFileExtension=& %1  ,   %2
ru.AssocingFileExtension= %1   %2...
sl.NameAndVersion=%1 razliica %2
sl.AdditionalIcons=Dodatne ikone:
sl.CreateDesktopIcon=Ustvari ikono na &namizju
sl.CreateQuickLaunchIcon=Ustvari ikono za &hitri zagon
sl.ProgramOnTheWeb=%1 na spletu
sl.UninstallProgram=Odstrani %1
sl.LaunchProgram=Odpri %1
sl.AssocFileExtension=&Povei %1 s pripono %2
sl.AssocingFileExtension=Povezujem %1 s pripono %2...
gr.NameAndVersion=%1  %2
gr.AdditionalIcons= :
gr.CreateDesktopIcon=  &  
gr.CreateQuickLaunchIcon=  &  
gr.ProgramOnTheWeb= %1  Internet
gr.UninstallProgram=  %1
gr.LaunchProgram=  %1
gr.AssocFileExtension=%  %1   %2  
gr.AssocingFileExtension=   %1   %2  ...
hu.NameAndVersion=%1 %2 verzi
hu.AdditionalIcons=Tovbbi ikonok:
hu.CreateDesktopIcon=Ikon ltrehozsa az &Asztalon
hu.CreateQuickLaunchIcon=Ikon ltrehozsa a &Gyorsindts eszkztron
hu.ProgramOnTheWeb=%1 a weben
hu.UninstallProgram=%1 eltvoltsa
hu.LaunchProgram=%1 elindtsa
hu.AssocFileExtension=A(z) %1 &trstsa a(z) %2 fjlkiterjesztssel
hu.AssocingFileExtension=A(z) %1 trstsa a(z) %2 fjlkiterjesztssel...
pl.NameAndVersion=%1 wersja %2
pl.AdditionalIcons=Dodatkowe ikony:
pl.CreateDesktopIcon=Utwrz ikon na &pulpicie
pl.CreateQuickLaunchIcon=Utwrz ikon na pasku &szybkiego uruchamiania
pl.ProgramOnTheWeb=Strona WWW programu %1
pl.UninstallProgram=Deinstalacja programu %1
pl.LaunchProgram=Uruchom program %1
pl.AssocFileExtension=&Przypisz program %1 do rozszerzenia pliku %2
pl.AssocingFileExtension=Przypisywanie programu %1 do rozszerzenia pliku %2...
pt.NameAndVersion=%1 verso %2
pt.AdditionalIcons=cones adicionais:
pt.CreateDesktopIcon=Criar cone no &Ambiente de Trabalho
pt.CreateQuickLaunchIcon=Criar cone na barra de Iniciao &Rpida
pt.ProgramOnTheWeb=%1 na Web
pt.UninstallProgram=Desinstalar o %1
pt.LaunchProgram=Executar o %1
pt.AssocFileExtension=&Associar o %1 aos ficheiros com a extenso %2
pt.AssocingFileExtension=A associar o %1 aos ficheiros com a extenso %2...
ro.NameAndVersion=%1 versiunea %2
ro.AdditionalIcons=Iconite aditionale:
ro.CreateDesktopIcon=Creeaza o iconita pe &desktop
ro.CreateQuickLaunchIcon=Creeaza o iconita &Quick Launch
ro.ProgramOnTheWeb=%1 pe Internet
ro.UninstallProgram=Dezinstalare %1
ro.LaunchProgram=Lanseaza %1
ro.AssocFileExtension=&Asociaza %1 cu extensia de fisiere %2
ro.AssocingFileExtension=Asociere %1 cu extensia de fisiere %2 ...
sw.NameAndVersion=%1 version %2
sw.AdditionalIcons=terstende ikoner:
sw.CreateDesktopIcon=Skapa en ikon p srivbordet
sw.CreateQuickLaunchIcon=Skapa en ikon i Snabbstartfltet
sw.ProgramOnTheWeb=%1 p Webben
sw.UninstallProgram=Avinstallera %1
sw.LaunchProgram=Starta %1
sw.AssocFileExtension=&Associera %1 med %2 filnamnstillgg
sw.AssocingFileExtension=Associerar %1 med %2 filnamnstillgg...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
Name: "de"; MessagesFile: "embedded\de.isl"; 
Name: "it"; MessagesFile: "embedded\it.isl"; 
Name: "bg"; MessagesFile: "embedded\bg.isl"; 
Name: "ct"; MessagesFile: "embedded\ct.isl"; 
Name: "cz"; MessagesFile: "embedded\cz.isl"; 
Name: "nl"; MessagesFile: "embedded\nl.isl"; 
Name: "fr"; MessagesFile: "embedded\fr.isl"; 
Name: "no"; MessagesFile: "embedded\no.isl"; 
Name: "ru"; MessagesFile: "embedded\ru.isl"; 
Name: "sl"; MessagesFile: "embedded\sl.isl"; 
Name: "gr"; MessagesFile: "embedded\gr.isl"; 
Name: "hu"; MessagesFile: "embedded\hu.isl"; 
Name: "pl"; MessagesFile: "embedded\pl.isl"; 
Name: "pt"; MessagesFile: "embedded\pt.isl"; 
Name: "ro"; MessagesFile: "embedded\ro.isl"; 
Name: "sw"; MessagesFile: "embedded\sw.isl"; 
